SAP NW Portal WD Information Disclosure

2014.04.29
Credit: Onapsis
Risk: High
Local: No
Remote: Yes
CVE: N/A
CWE: CWE-200

-----BEGIN PGP SIGNED MESSAGE----- Hash: SHA1 Onapsis Security Advisory 2014-008: SAP NW Portal WD Information Disclosure This advisory can be downloaded in PDF format from http://www.onapsis.com/. By downloading this advisory from the Onapsis Resource Center, you will gain access to beforehand information on upcoming advisories, presentations and new research projects from the Onapsis Research Labs, as well as exclusive access to special promotions for upcoming trainings and conferences. 1. Impact on Business By exploiting this vulnerability a remote unauthenticated attacker would be able to retrieve sensitive information from the remote SAP system and use that information to leverage his / her privileges in the affected system. Risk Level: High 2. Advisory Information - -- Public Release Date: 2014-04-28 - -- Subscriber Notification Date: 2014-04-28 - -- Last Revised: 2014-04-25 - -- Security Advisory ID: ONAPSIS-2014-008 - -- Onapsis SVS ID: ONAPSIS-00082 - -- Researcher: Jordan Santarsieri - -- Initial Base CVSS v2: 6.4 (AV:N/AC:L/AU:N/C:P/I:P/A:N) 3. Vulnerability Information - -- Vendor: SAP - -- Affected Components: * SAP Netweaver Java Application Server (Check SAP Note 1922547 for detailed information on affected releases) - -- Vulnerability Class: Information Exposure (CWE-200) - -- Remotely Exploitable: Yes - -- Locally Exploitable: No - -- Authentication Required: No - -- Original Advisory: http://www.onapsis.com/resources/get.php?resid=adv_onapsis-2014-008 4. Affected Components Description The SystemSelection is a J2EE webdynpro that provides information of all the SAP systems that were previously registered against the local SLD. 5. Vulnerability Details It has been detected that some functionality of the affected webdynpro displays all the SAP systems that are registered on the SLD without requiring username or password. This situation will bring valuable information to an attacker to plan a more complex attack over the SAP environment. 6. Solution SAP has released SAP Note 1922547 which provide patched versions of the affected components. The patches can be downloaded from https://service.sap.com/sap/support/notes/1922547. Onapsis strongly recommends SAP customers to download the related security fixes and apply them to the affected components in order to reduce business risks. 7. Report Timeline 2013-09-12: Onapsis provides vulnerability information to SAP AG. 2012-09-13: SAP confirms having the information of vulnerability. 2014-01-14: SAP releases security patches. 2014-04-28: Onapsis notifies availability of security advisory. About Onapsis, Inc. Onapsis provides innovative security software solutions to protect ERP systems from cyber-attacks. Through unmatched ERP security, compliance and continuous monitoring products, Onapsis secures the business-critical infrastructure of its global customers against espionage, sabotage and financial fraud threats. Onapsis X1, the company's flagship product, is the industry's first comprehensive solution for the automated security assessment of SAP platforms. Being the first and only SAP-certified solution of its kind, Onapsis X1 allows customers to perform automated Vulnerability Assessments, Security & Compliance Audits and Penetration Tests over their entire SAP platform. Onapsis is backed by the Onapsis Research Labs, a world-renowned team of SAP & ERP security experts who are continuously invited to lecture at the leading IT security conferences, such as RSA and BlackHat, and featured by mainstream media such as CNN, Reuters, IDG and New York Times. For further information about our solutions, please contact us at info@onapsis.com and visit our website at www.onapsis.com -----BEGIN PGP SIGNATURE----- Version: GnuPG v1.4.12 (GNU/Linux) iEYEARECAAYFAlNewS0ACgkQz3i6WNVBcDX0bgCeKfvoYCawqaRZKLk6eAlV3C8k e3IAn3ObyPvGP8JMd91KetkUioJ59yE7 =C6Ap -----END PGP SIGNATURE-----


Vote for this issue:
50%
50%


 

Thanks for you vote!


 

Thanks for you comment!
Your message is in quarantine 48 hours.

Comment it here.


(*) - required fields.  
{{ x.nick }} | Date: {{ x.ux * 1000 | date:'yyyy-MM-dd' }} {{ x.ux * 1000 | date:'HH:mm' }} CET+1
{{ x.comment }}

Copyright 2019, cxsecurity.com

 

Back to Top